# Method MIME.set_boundary_prefix()

Method set_boundary_prefix

  ``void` set_boundary_prefix(`string(8bit)` `boundary_prefix`)`

Description

  Set a message boundary prefix. The MIME.generate_boundary() will use this prefix when creating a boundary string.

Throws

  An error is thrown if `boundary_prefix` doesn't adhere to RFC 1521.

See also

  MIME.generate_boundary(), MIME.get_boundary_prefix()

Parameter `boundary_prefix`

  This must adhere to RFC 1521 and can not be longer than 56 characters.